# Using MS-SQL connector in ETL pipeline

The following examples show how the MSSQL connector can be used:&#x20;

1. In example 1, the MSSQL connector is the source, and an entity is a destinatio&#x6E;**.**
2. In example 2, the MSSQL connector is the destination, and an entity is the source.

### **Prerequisites for the examples**

For both the examples below, the following are created:

1. An Entity with the name TEST\_MSSQL\_Entity with the following fields:

* `customer_id` as `integer` and is the `Primary Key`
* `customer_name` as `string`
* `customer_email` as `string`
* `Active_status` as `boolean`

Data has already been added to the entity.

2\. MSSQL table with columns to be mapped to the entity:

* `customer_id` as `integer`&#x20;
* `customer_name` as `varchar`
* `customer_email` as `varchar`
* `Active_status` as `bit`

3\. Connection is established through the MSSQL connector. [(click here to see steps for setting up the MSSQL connector)](#setting-up-mssql-connector)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.langstack.com/welcome/in-depth-learning/connectors/ms-sql-connector/using-ms-sql-connector-in-etl-pipeline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
